Subject: Re: bug#74430: 30.0.92; pixel-scroll-precision-mode hiding Eshell prompt after some commands

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Nov 2024 12:53:53 +0200

> From: Ashton Wiersdorf <[email-masked]>
> Date: Mon, 18 Nov 2024 10:52:27 -0700
> 
> 
> Reproducing the bug from emacs -Q
> 
> I had this as my `early-init.el`:
> 
>     (setq package-enable-at-startup nil)
>     (setq frame-resize-pixelwise t)
> 
> and this as `init.el`:
> 
>     (pixel-scroll-precision-mode)
> 
> Then, when Emacs started, I resized the window so it wasn't a 
> multiple
> of a full character's height.
> 
> Next, I ran `M-x eshell` and went to an Elixir project where I ran 
> `mix
> test`. This bit shouldn't be important, but it's the most reliable 
> way I
> could find to trigger the bug, unfortunately. I'll report back if 
> I find
> another easily reproducible command that trigger the behavior.
> 
> When the command finished, the Eshell prompt was almost entirely
> obscured by the modeline.
> 
> The bug does not manifest when I turn off 
> `pixel-scroll-precision-mode`.
> It returns when I turn `pixel-scroll-precision-mode` back on.

Po Lu and Jim, could you look into this, please?